.SUFFIXES: .cxx
CC=CC
XINCLUDES=
RANLIB=ranlib

## everything is in /usr/include or /usr/lib
###

## sg irix
#XINCLUDES=-I/usr/include/X11
#RANLIB=@:
###

## ibm aix
#CC=xlC -+
###

## dec osf1
#CC=cxx
###

## ncr sysv4
#RANLIB=@:
###

## nec sysv4
#RANLIB=@:
###

## concurrent sysv4
#CC=/opt/epc/bin/c++ -D__epc
#RANLIB=@:
###

## qnx
#XINCLUDES=-I/usr/include/X11 -DQNX
###

## novell sysv4
#XINCLUDES=-I/usr/X/include -I/usr/X/include/X11
#RANLIB=@:
###

# solaris 2.x
XINCLUDES=-I/usr/dt/include -I/usr/openwin/include
RANLIB=@:
##

## sco sysv3.4
#CC=CC +.cxx
###

## hp-ux 9.x
#XINCLUDES=-I/usr/include/X11R5 -I/usr/include/Motif1.2
###


CFLAGS=-O
IFLAGS=-I../h ${XINCLUDES}


## qnx
#.C.o:
#	rm -f $@
#	$(CC) -c $(CFLAGS) $(IFLAGS) $*.C
#
#.cxx.C:
#	cp $*.cxx $*.C
#
#allqnx: xdclass.lib
#
#xdclass.lib: xdxmdialog.o xdxtclass.o 
#	ls *.o | sed 's/^/-+/' > ,lib.lbc
#	wlib  xdclass.lib @,lib
# 	rm *.o ,*
#	ln xdclass.lib libxdclass.a
###

all:	xdxmdialog.cxx xdxtclass.cxx libxdclass.a

.cxx.o:
	rm -f $@
	$(CC) -c $(CFLAGS) $(IFLAGS) $*.cxx



libxdclass.a: xdxmdialog.o xdxtclass.o 
	rm -f $@
	ar cru $@ *.o
	-$(RANLIB) $@

